> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar dashboards

> Retorna uma lista de todos os dashboards da equipe autenticada



## OpenAPI

````yaml /pt-BR/_specs/hyperdx-openapi.json get /api/v2/dashboards
openapi: 3.0.0
info:
  description: API para gerenciar alertas e dashboards do HyperDX
  title: HyperDX External API
  version: 2.0.0
servers:
  - description: Servidor de API de produção
    url: https://api.hyperdx.io
  - description: Servidor atual
    url: /
security:
  - BearerAuth: []
tags:
  - description: Endpoints para gerenciar dashboards e suas visualizações
    name: Dashboards
  - description: Endpoints para gerenciar alertas de monitoramento
    name: Alerts
paths:
  /api/v2/dashboards:
    get:
      tags:
        - Dashboards
      summary: Listar dashboards
      description: Retorna uma lista de todos os dashboards da equipe autenticada
      operationId: listDashboards
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DashboardsListResponse'
          description: Dashboards recuperados com sucesso
        '401':
          description: Não autorizado
components:
  schemas:
    DashboardsListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Dashboard'
          type: array
      type: object
    Dashboard:
      properties:
        id:
          example: 65f5e4a3b9e77c001a567890
          type: string
        name:
          example: Service Overview
          type: string
        tags:
          example:
            - production
            - monitoring
          items:
            type: string
          type: array
        tiles:
          items:
            $ref: '#/components/schemas/Tile'
          type: array
      type: object
    Tile:
      properties:
        asRatio:
          example: false
          type: boolean
        h:
          example: 3
          type: integer
        id:
          example: 65f5e4a3b9e77c001a901234
          type: string
        name:
          example: Error Rate
          type: string
        series:
          items:
            $ref: '#/components/schemas/ChartSeries'
          type: array
        w:
          example: 6
          type: integer
        x:
          example: 0
          type: integer
        'y':
          example: 0
          type: integer
      type: object
    ChartSeries:
      properties:
        aggFn:
          description: Função de agregação a ser usada nos dados
          enum:
            - avg
            - count
            - count_distinct
            - last_value
            - max
            - min
            - quantile
            - sum
          example: count
          type: string
        dataSource:
          enum:
            - events
            - metrics
          example: events
          type: string
        field:
          description: Campo a ser agregado
          example: duration
          type: string
        groupBy:
          description: Campos pelos quais os resultados serão agrupados
          example:
            - service
            - host
          items:
            type: string
          type: array
        metricDataType:
          description: Tipo de dado da métrica
          enum:
            - sum
            - gauge
            - histogram
          example: gauge
          type: string
        metricName:
          description: Nome da métrica (para fontes de dados de métricas)
          example: http_requests_total
          type: string
        sourceId:
          description: ID da fonte de dados desta série
          example: 65f5e4a3b9e77c001a123456
          type: string
        type:
          enum:
            - time
            - table
            - number
            - histogram
            - search
            - markdown
          example: time
          type: string
        where:
          description: Condição de filtro na sintaxe de consulta do Lucene
          example: level:error
          type: string
        whereLanguage:
          description: Linguagem de consulta usada na cláusula WHERE
          enum:
            - lucene
            - sql
          example: lucene
          type: string
      required:
        - sourceId
        - aggFn
        - where
        - groupBy
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: API Key
      scheme: bearer
      type: http

````